package de.npid7.serverlite.Commands;

import de.npid7.serverlite.Configs.PlayerConfig;
import de.npid7.serverlite.D7ServerLite;
import org.bukkit.ChatColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

public class StatusCommand implements CommandExecutor {
  @Override
  public boolean onCommand(CommandSender sender, Command command, String s, String[] strings) {
    if (strings.length != 1 && strings.length != 2) {
      sender.sendMessage("Verwendung: /status Status");
      return false;
    }
    String str = "";
    boolean is_def = false;
    for (String st : D7ServerLite.getInst().getPluginConfig().getDefaultStatusList()) {
      if (strings[0].equals(st)) {
        str = strings[0];
        is_def = true;
      }
    }
    if (is_def) {
      // Leave empty
    } else if (strings[0].equals("custom")) {
      if (strings.length != 2) {
        sender.sendMessage("Verwendung: /status custom Status");
        return false;
      }
      if (strings[1].length() > 10) {
        sender.sendMessage(ChatColor.RED.toString() + "Maximale länge ist 10 Zeichen!");
        return false;
      }
      str = strings[1];
    } else {
      sender.sendMessage(
          ChatColor.RED.toString() + "Was auch immer du versuchst... lass es einfach!");
      return false;
    }
    if (D7ServerLite.getInst().getPluginConfig().getWordBlacklist().find(str) != null) {
      sender.sendMessage(ChatColor.RED.toString() + "Diser Status ist nicht erlaubt!");
      return false;
    }
    PlayerConfig pcfg = D7ServerLite.getInst().getPlayerConfig();
    pcfg.setStatus(((Player) sender).getUniqueId(), str);
    pcfg.Save();
    return false;
  }
}
