package de.npid7.serverlite.TabCompleters;

import de.npid7.serverlite.D7ServerLite;
import java.util.ArrayList;
import java.util.List;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.command.TabCompleter;

public class StatusCompleter implements TabCompleter {
  @Override
  public List<String> onTabComplete(
      CommandSender sender, Command command, String alias, String[] args) {
    List<String> completions = new ArrayList<>();
    if (command.getName().equalsIgnoreCase("status")) {
      if (args.length == 1) {
        for (String s : D7ServerLite.getInst().getPluginConfig().getDefaultStatusList()) {
          completions.add(s);
        }
        completions.add("custom");
      }
    }
    return completions;
  }
}